/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_RINGBUF_SKEL_H__
#define __TEST_RINGBUF_SKEL_H__

#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_ringbuf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *ringbuf;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_ringbuf;
	} progs;
	struct {
		struct bpf_link *test_ringbuf;
	} links;
	struct test_ringbuf__bss {
		int pid;
		char __pad0[4];
		long int value;
		long int flags;
		long int total;
		long int discarded;
		long int dropped;
		long int avail_data;
		long int ring_size;
		long int cons_pos;
		long int prod_pos;
		long int seq;
	} *bss;
};

static void
test_ringbuf__destroy(struct test_ringbuf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_ringbuf__create_skeleton(struct test_ringbuf *obj);

static inline struct test_ringbuf *
test_ringbuf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_ringbuf *obj;

	obj = (struct test_ringbuf *)calloc(1, sizeof(*obj));
	if (!obj)
		return NULL;
	if (test_ringbuf__create_skeleton(obj))
		goto err;
	if (bpf_object__open_skeleton(obj->skeleton, opts))
		goto err;

	return obj;
err:
	test_ringbuf__destroy(obj);
	return NULL;
}

static inline struct test_ringbuf *
test_ringbuf__open(void)
{
	return test_ringbuf__open_opts(NULL);
}

static inline int
test_ringbuf__load(struct test_ringbuf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_ringbuf *
test_ringbuf__open_and_load(void)
{
	struct test_ringbuf *obj;

	obj = test_ringbuf__open();
	if (!obj)
		return NULL;
	if (test_ringbuf__load(obj)) {
		test_ringbuf__destroy(obj);
		return NULL;
	}
	return obj;
}

static inline int
test_ringbuf__attach(struct test_ringbuf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_ringbuf__detach(struct test_ringbuf *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline int
test_ringbuf__create_skeleton(struct test_ringbuf *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		return -1;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_ringbuf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "ringbuf";
	s->maps[0].map = &obj->maps.ringbuf;

	s->maps[1].name = "test_rin.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "test_ringbuf";
	s->progs[0].prog = &obj->progs.test_ringbuf;
	s->progs[0].link = &obj->links.test_ringbuf;

	s->data_sz = 4920;
	s->data = (void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb8\x10\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x70\
\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\
\x5f\x67\x65\x74\x70\x67\x69\x64\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\
\x73\0\x2e\x6d\x61\x70\x73\0\x74\x65\x73\x74\x5f\x72\x69\x6e\x67\x62\x75\x66\
\x2e\x63\0\x4c\x42\x42\x30\x5f\x37\0\x4c\x42\x42\x30\x5f\x33\0\x4c\x42\x42\x30\
\x5f\x35\0\x4c\x42\x42\x30\x5f\x36\0\x74\x65\x73\x74\x5f\x72\x69\x6e\x67\x62\
\x75\x66\0\x70\x69\x64\0\x72\x69\x6e\x67\x62\x75\x66\0\x64\x72\x6f\x70\x70\x65\
\x64\0\x76\x61\x6c\x75\x65\0\x73\x65\x71\0\x74\x6f\x74\x61\x6c\0\x66\x6c\x61\
\x67\x73\0\x64\x69\x73\x63\x61\x72\x64\x65\x64\0\x61\x76\x61\x69\x6c\x5f\x64\
\x61\x74\x61\0\x72\x69\x6e\x67\x5f\x73\x69\x7a\x65\0\x63\x6f\x6e\x73\x5f\x70\
\x6f\x73\0\x70\x72\x6f\x64\x5f\x70\x6f\x73\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x72\x65\x6c\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\
\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2e\x42\x54\x46\0\
\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x42\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\0\0\0\0\0\x03\0\xe8\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x58\0\0\0\0\0\x03\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\0\0\
\0\0\0\x03\0\xf0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\0\0\0\x03\0\x08\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x6d\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xf8\x02\0\0\0\
\0\0\0\x7a\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x7e\0\0\0\x11\0\
\x06\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x86\0\0\0\x11\0\x05\0\x28\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x8e\0\0\0\x11\0\x05\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x94\0\0\0\x11\0\x05\0\x50\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x98\0\0\0\x11\0\x05\
\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x9e\0\0\0\x11\0\x05\0\x10\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\xa4\0\0\0\x11\0\x05\0\x20\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\xae\0\0\0\x11\0\x05\0\x30\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xb9\0\0\0\x11\0\x05\
\0\x38\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xc3\0\0\0\x11\0\x05\0\x40\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\xcc\0\0\0\x11\0\x05\0\x48\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\xd5\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\
\xb4\x06\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\
\x77\0\0\0\x20\0\0\0\x5e\x01\x56\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x02\0\0\x20\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x83\0\0\0\xbf\x07\0\0\0\0\
\0\0\x55\x07\x06\0\0\0\0\0\xb7\x01\0\0\x01\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xdb\x12\0\0\0\0\0\0\xb4\x06\0\0\x01\0\0\0\x05\0\x49\0\0\0\0\0\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x63\x17\0\0\0\0\0\0\xbf\x71\0\0\
\0\0\0\0\x07\x01\0\0\x10\0\0\0\xb4\x02\0\0\x10\0\0\0\x85\0\0\0\x10\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x7b\x17\x08\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\xbf\x23\0\0\0\0\0\0\x07\
\x03\0\0\x01\0\0\0\x7b\x31\0\0\0\0\0\0\x63\x27\x04\0\0\0\0\0\xb7\x08\0\0\x01\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\xdb\x21\0\0\0\0\
\0\0\x18\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x94\0\0\0\0\0\0\x61\x71\x04\0\0\0\
\0\0\x54\x01\0\0\x01\0\0\0\x16\x01\x0c\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xbf\x72\0\0\0\0\0\0\xb7\x03\0\0\x20\0\0\0\x85\0\0\0\x82\0\0\0\x79\x92\0\
\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\x85\0\0\0\x85\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xdb\x81\0\0\0\0\0\0\x05\0\x03\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\xbf\x42\0\
\0\0\0\0\0\x85\0\0\0\x84\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\
\0\0\0\0\x85\0\0\0\x86\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x01\0\0\0\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\x85\0\0\0\x86\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x01\0\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x02\0\0\0\x85\0\0\0\x86\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x7b\x01\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x02\0\0\x03\0\0\0\x85\0\0\0\x86\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7b\x01\0\0\0\0\0\0\xbc\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x38\0\0\0\0\0\0\0\x01\
\0\0\0\x09\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\
\0\0\x08\0\0\0\xe0\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\0\x01\0\0\0\0\0\0\x01\0\0\
\0\x0c\0\0\0\x40\x01\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x60\x01\0\0\0\0\0\0\x01\0\
\0\0\x0e\0\0\0\x90\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\xd0\x01\0\0\0\0\0\0\x01\
\0\0\0\x0f\0\0\0\x08\x02\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x28\x02\0\0\0\0\0\0\
\x01\0\0\0\x10\0\0\0\x40\x02\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x60\x02\0\0\0\0\0\
\0\x01\0\0\0\x11\0\0\0\x78\x02\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x98\x02\0\0\0\0\
\0\0\x01\0\0\0\x12\0\0\0\xb0\x02\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\xd0\x02\0\0\0\
\0\0\0\x01\0\0\0\x13\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x50\x02\0\0\x50\x02\
\0\0\x7d\x04\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\
\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x1b\0\0\0\x05\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\x04\x08\0\0\0\x19\0\0\0\x01\0\0\0\0\
\0\0\0\x1e\0\0\0\0\0\0\x0e\x05\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\
\0\x01\0\0\x0d\x02\0\0\0\x26\0\0\0\x07\0\0\0\x2a\0\0\0\x01\0\0\x0c\x08\0\0\0\
\x37\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0a\0\0\0\
\x04\0\0\0\x04\0\0\0\x3c\0\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\x45\0\0\0\0\0\0\
\x0e\x02\0\0\0\x01\0\0\0\x49\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\x52\0\0\0\0\
\0\0\x0e\x0e\0\0\0\x01\0\0\0\x58\0\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\x5e\0\0\0\
\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\x64\0\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\x6e\0\0\
\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\x76\0\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\x81\0\
\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\x8b\0\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\x94\
\0\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\x9d\0\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\
\x4c\x04\0\0\x01\0\0\x0f\x04\0\0\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\x54\x04\0\0\x0b\
\0\0\x0f\x58\0\0\0\x0d\0\0\0\0\0\0\0\x04\0\0\0\x0f\0\0\0\x08\0\0\0\x08\0\0\0\
\x10\0\0\0\x10\0\0\0\x08\0\0\0\x11\0\0\0\x18\0\0\0\x08\0\0\0\x12\0\0\0\x20\0\0\
\0\x08\0\0\0\x13\0\0\0\x28\0\0\0\x08\0\0\0\x14\0\0\0\x30\0\0\0\x08\0\0\0\x15\0\
\0\0\x38\0\0\0\x08\0\0\0\x16\0\0\0\x40\0\0\0\x08\0\0\0\x17\0\0\0\x48\0\0\0\x08\
\0\0\0\x18\0\0\0\x50\0\0\0\x08\0\0\0\x59\x04\0\0\x01\0\0\x0f\x08\0\0\0\x06\0\0\
\0\0\0\0\0\x08\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\
\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x72\x69\x6e\x67\x62\
\x75\x66\0\x63\x74\x78\0\x74\x65\x73\x74\x5f\x72\x69\x6e\x67\x62\x75\x66\0\x63\
\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x70\x69\x64\0\x6c\x6f\x6e\x67\
\x20\x69\x6e\x74\0\x76\x61\x6c\x75\x65\0\x66\x6c\x61\x67\x73\0\x74\x6f\x74\x61\
\x6c\0\x64\x69\x73\x63\x61\x72\x64\x65\x64\0\x64\x72\x6f\x70\x70\x65\x64\0\x61\
\x76\x61\x69\x6c\x5f\x64\x61\x74\x61\0\x72\x69\x6e\x67\x5f\x73\x69\x7a\x65\0\
\x63\x6f\x6e\x73\x5f\x70\x6f\x73\0\x70\x72\x6f\x64\x5f\x70\x6f\x73\0\x73\x65\
\x71\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x72\x74\x2d\x34\x2e\x31\x38\x2e\
\x30\x2d\x33\x37\x32\x2e\x31\x36\x2e\x31\x2e\x72\x74\x37\x2e\x31\x37\x33\x2e\
\x65\x6c\x38\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x34\x2e\x31\x38\x2e\x30\x2d\
\x33\x37\x32\x2e\x31\x36\x2e\x31\x2e\x72\x74\x37\x2e\x31\x37\x33\x2e\x65\x6c\
\x38\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x72\x69\x6e\x67\x62\x75\x66\
\x2e\x63\0\x09\x69\x6e\x74\x20\x63\x75\x72\x5f\x70\x69\x64\x20\x3d\x20\x62\x70\
\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\
\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x69\x66\x20\x28\x63\x75\
\x72\x5f\x70\x69\x64\x20\x21\x3d\x20\x70\x69\x64\x29\0\x09\x73\x61\x6d\x70\x6c\
\x65\x20\x3d\x20\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x72\x65\x73\
\x65\x72\x76\x65\x28\x26\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x73\x69\x7a\x65\
\x6f\x66\x28\x2a\x73\x61\x6d\x70\x6c\x65\x29\x2c\x20\x30\x29\x3b\0\x09\x69\x66\
\x20\x28\x21\x73\x61\x6d\x70\x6c\x65\x29\x20\x7b\0\x09\x09\x5f\x5f\x73\x79\x6e\
\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\x26\x64\x72\
\x6f\x70\x70\x65\x64\x2c\x20\x31\x29\x3b\0\x09\x73\x61\x6d\x70\x6c\x65\x2d\x3e\
\x70\x69\x64\x20\x3d\x20\x70\x69\x64\x3b\0\x09\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x63\x75\x72\x72\x65\x6e\x74\x5f\x63\x6f\x6d\x6d\x28\x73\x61\x6d\x70\x6c\x65\
\x2d\x3e\x63\x6f\x6d\x6d\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x61\x6d\x70\
\x6c\x65\x2d\x3e\x63\x6f\x6d\x6d\x29\x29\x3b\0\x09\x73\x61\x6d\x70\x6c\x65\x2d\
\x3e\x76\x61\x6c\x75\x65\x20\x3d\x20\x76\x61\x6c\x75\x65\x3b\0\x09\x73\x61\x6d\
\x70\x6c\x65\x2d\x3e\x73\x65\x71\x20\x3d\x20\x73\x65\x71\x2b\x2b\x3b\0\x09\x5f\
\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\
\x28\x26\x74\x6f\x74\x61\x6c\x2c\x20\x31\x29\x3b\0\x09\x69\x66\x20\x28\x73\x61\
\x6d\x70\x6c\x65\x2d\x3e\x73\x65\x71\x20\x26\x20\x31\x29\x20\x7b\0\x09\x09\x62\
\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x6f\x75\x74\x70\x75\x74\x28\x26\
\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x73\x61\x6d\x70\x6c\x65\x2c\x20\x73\x69\
\x7a\x65\x6f\x66\x28\x2a\x73\x61\x6d\x70\x6c\x65\x29\x2c\x20\x66\x6c\x61\x67\
\x73\x29\x3b\0\x09\x09\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x64\x69\
\x73\x63\x61\x72\x64\x28\x73\x61\x6d\x70\x6c\x65\x2c\x20\x66\x6c\x61\x67\x73\
\x29\x3b\0\x09\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\
\x64\x5f\x61\x64\x64\x28\x26\x64\x69\x73\x63\x61\x72\x64\x65\x64\x2c\x20\x31\
\x29\x3b\0\x09\x09\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x73\x75\x62\
\x6d\x69\x74\x28\x73\x61\x6d\x70\x6c\x65\x2c\x20\x66\x6c\x61\x67\x73\x29\x3b\0\
\x09\x61\x76\x61\x69\x6c\x5f\x64\x61\x74\x61\x20\x3d\x20\x62\x70\x66\x5f\x72\
\x69\x6e\x67\x62\x75\x66\x5f\x71\x75\x65\x72\x79\x28\x26\x72\x69\x6e\x67\x62\
\x75\x66\x2c\x20\x42\x50\x46\x5f\x52\x42\x5f\x41\x56\x41\x49\x4c\x5f\x44\x41\
\x54\x41\x29\x3b\0\x09\x72\x69\x6e\x67\x5f\x73\x69\x7a\x65\x20\x3d\x20\x62\x70\
\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x71\x75\x65\x72\x79\x28\x26\x72\x69\
\x6e\x67\x62\x75\x66\x2c\x20\x42\x50\x46\x5f\x52\x42\x5f\x52\x49\x4e\x47\x5f\
\x53\x49\x5a\x45\x29\x3b\0\x09\x63\x6f\x6e\x73\x5f\x70\x6f\x73\x20\x3d\x20\x62\
\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x71\x75\x65\x72\x79\x28\x26\x72\
\x69\x6e\x67\x62\x75\x66\x2c\x20\x42\x50\x46\x5f\x52\x42\x5f\x43\x4f\x4e\x53\
\x5f\x50\x4f\x53\x29\x3b\0\x09\x70\x72\x6f\x64\x5f\x70\x6f\x73\x20\x3d\x20\x62\
\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x71\x75\x65\x72\x79\x28\x26\x72\
\x69\x6e\x67\x62\x75\x66\x2c\x20\x42\x50\x46\x5f\x52\x42\x5f\x50\x52\x4f\x44\
\x5f\x50\x4f\x53\x29\x3b\0\x7d\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\
\0\x2e\x6d\x61\x70\x73\0\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\
\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x67\x65\x74\x70\x67\x69\x64\0\0\0\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x2c\x02\0\0\x40\x02\0\0\0\0\0\
\0\x08\0\0\0\x5f\x04\0\0\x01\0\0\0\0\0\0\0\x09\0\0\0\x10\0\0\0\x5f\x04\0\0\x22\
\0\0\0\0\0\0\0\xa1\0\0\0\x3b\x01\0\0\x10\xa4\0\0\x10\0\0\0\xa1\0\0\0\x6c\x01\0\
\0\x11\xb4\0\0\x28\0\0\0\xa1\0\0\0\x3b\x01\0\0\x2b\xa4\0\0\x30\0\0\0\xa1\0\0\0\
\x6c\x01\0\0\x06\xb4\0\0\x38\0\0\0\xa1\0\0\0\x81\x01\0\0\x0b\xc0\0\0\x68\0\0\0\
\xa1\0\0\0\xbe\x01\0\0\x06\xc4\0\0\x78\0\0\0\xa1\0\0\0\xce\x01\0\0\x03\xc8\0\0\
\xa0\0\0\0\xa1\0\0\0\xf3\x01\0\0\x10\xd8\0\0\xb8\0\0\0\xa1\0\0\0\xf3\x01\0\0\
\x0e\xd8\0\0\xc0\0\0\0\xa1\0\0\0\x07\x02\0\0\x1f\xdc\0\0\xd0\0\0\0\xa1\0\0\0\
\x07\x02\0\0\x02\xdc\0\0\xe0\0\0\0\xa1\0\0\0\x42\x02\0\0\x12\xe0\0\0\xf8\0\0\0\
\xa1\0\0\0\x42\x02\0\0\x10\xe0\0\0\0\x01\0\0\xa1\0\0\0\x5a\x02\0\0\x13\xe8\0\0\
\x30\x01\0\0\xa1\0\0\0\x5a\x02\0\0\x0e\xe8\0\0\x40\x01\0\0\xa1\0\0\0\x70\x02\0\
\0\x02\xec\0\0\x60\x01\0\0\xa1\0\0\0\0\0\0\0\0\0\0\0\x78\x01\0\0\xa1\0\0\0\x92\
\x02\0\0\x0e\xf4\0\0\x80\x01\0\0\xa1\0\0\0\x92\x02\0\0\x12\xf4\0\0\x88\x01\0\0\
\xa1\0\0\0\x92\x02\0\0\x06\xf4\0\0\x90\x01\0\0\xa1\0\0\0\xaa\x02\0\0\x03\xfc\0\
\0\xb8\x01\0\0\xa1\0\0\0\xea\x02\0\0\x1f\x04\x01\0\xc0\x01\0\0\xa1\0\0\0\xea\
\x02\0\0\x03\x04\x01\0\xd0\x01\0\0\xa1\0\0\0\x10\x03\0\0\x03\x08\x01\0\xf0\x01\
\0\0\xa1\0\0\0\x37\x03\0\0\x03\x10\x01\0\x08\x02\0\0\xa1\0\0\0\x5c\x03\0\0\x0f\
\x1c\x01\0\x28\x02\0\0\xa1\0\0\0\x5c\x03\0\0\x0d\x1c\x01\0\x40\x02\0\0\xa1\0\0\
\0\x9a\x03\0\0\x0e\x20\x01\0\x60\x02\0\0\xa1\0\0\0\x9a\x03\0\0\x0c\x20\x01\0\
\x78\x02\0\0\xa1\0\0\0\xd6\x03\0\0\x0d\x24\x01\0\x98\x02\0\0\xa1\0\0\0\xd6\x03\
\0\0\x0b\x24\x01\0\xb0\x02\0\0\xa1\0\0\0\x10\x04\0\0\x0d\x28\x01\0\xd0\x02\0\0\
\xa1\0\0\0\x10\x04\0\0\x0b\x28\x01\0\xe8\x02\0\0\xa1\0\0\0\x4a\x04\0\0\x01\x34\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x0e\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\xf8\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x48\x03\0\0\0\0\0\0\xf8\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\x06\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x37\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x06\0\0\0\
\0\0\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3c\
\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x06\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xde\0\0\0\x09\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x06\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\x02\
\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\x01\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x07\0\0\0\0\0\0\xe5\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x58\x0e\0\0\0\0\0\0\x60\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0";

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -1;
}

#endif /* __TEST_RINGBUF_SKEL_H__ */
